<!doctype html>
<html>
    <head>
        <title>Form Validation and Data Display</title>
    </head>
    <body>
<?php
#Form data is stored in the $_POST array as key-value pairs
#The key corresponds to the 'name' attribute of each form field in the HTML code.

#!empty() to check if a varibale is empty or not.
# - Returns True if the variable is defined AND contains a non-empty value.
# - Returns False if the variable is empty (""), or if it is not defined at all.

#isset() to check if a varibale is defined or not. Cannot be used to check empty status of a variable.

#Check if the first name field is filled out
#If the user leaves it blank, $_POST['first_name'] will be an empty string
#Therefore we need to check if $_POST['first_name'] empty or not
#Can only use !empty() to check a variable is empty or not
if (!empty($_POST['first_name'])){ //True if the user entered a value in the field
    $first_name = $_POST['first_name']  ;  //Complete the code to store the input in a new variable
} else {
    echo "Please fill out your first name.<br>";
}

#Check if last name text field filled out or not
if (!empty($_POST['last_name'])){
    $last_name = $_POST['last_name'];
} else {
    echo "Please fill out your last name. <br>";
}

#Check if email text field filled out or not
if (!empty($_POST['email'])){ //Complete the code. Replace ? with your code
    $email = $_POST['email'];//Complete the code. Replace ? with your code
} else {
    echo "Please fill out your email. <br>";
}

#Check if gender radio button field filled out or not 
if (!empty($_POST['gender'])){
    $gender = !empty($_POST['gender']);
} else {
    echo "Please fill out your gender. <br>";
}

#Cannot check check drop down list, as it always has a default option
$age = $_POST['age'];//default value is '0-29'


#Check if comment text area filled out or not
if (!empty($_POST['comments'])){//Complete the code. Replace ? with your code
    $comm = $_POST['comments'];//Complete the code. Replace ? with your code
} else {
    echo "Please fill out your comments. <br>";
}

#If all of the five fields are not empty (filled out), print out a thank you message and also display form data
#Evaluated as True if all of the $_POST vars are not empty. && is AND operator 
if ((!empty($_POST['first_name'])) && 
    (!empty($_POST['last_name'])) && 
    (!empty($_POST['email'])) && 
    (!empty($_POST['gender'])) && 
    (!empty($_POST['comments']))){ 
    #Print out a thank you msg, also display form data
    echo "Thank you $first_name for filling out the form!<br><br>";
    #Display form data
    echo "Your first name is $first_name"."<br>";
    echo "Your last name is $last_name"."<br>";
    echo "Your email is $email"."<br>";
    echo "Your gender is $gender"."<br>";
    echo "Your comment is $comm"."<br>";

    
} else { #Else, display warning message
    echo "You didn't fill out form properly. Please go back and fill out the form again";
    #Go Back button
    echo "<p> <button type=\"button\" onclick=\"window.location.href='form_w5.php'\">Go back</button> 
	     </p>"; # Browser runs the javascript code here, which changes the current page's URL to 'form_w5.php' and requests the php page in the same directory from server
}

?>
</body>
</html>